SNOWDROP
========

Snowdrop is a utility package that contains JBoss-specific extensions to the Spring Framework. These extensions are either:

1. Extensions to Spring Framework classes that can be used wherever the generic implementations provided by the framework 
do not integrate correctly with Red Hat JBoss Enterprise Application Platform.
2. Extensions for deploying and running Spring applications with the Red Hat JBoss Enterprise Application Platform.

Usage/Setup:
---------
Deployments can also be configured to exclude specific implicit dependencies. This is done with the 
**jboss-deployment-structure.xml** deployment descriptor file. This is commonly done when an application bundles a specific 
version of a library that the application server will attempt to add as an implicit dependency.

Supported Version:
------------------
Snowdrop 3.x works with the following version of JBoss EAP 6.0.x, 6.1.x, 6.2.x, 6.3.x

Build:
---------

_NOTE: You don't need to build if you wish to use a released version of snowdrop, just continue from the Install section. 
It will use the libraries in Maven._

`mvn clean install`

Install snowdrop:
-----------------

`cd install`

`mvn package -P${desired-spring-version} -DJBOSS_HOME=/path/to/jboss_home -Dversion.snowdrop=${snowdrop.version}`


Uninstall snowdrop:
-------------------
 1.   For EAP 6.0.x(or older).
        Delete the $JBOSS_HOME/modules/org/jboss/snowdrop directory.
        Delete the $JBOSS_HOME/modules/org/springframework directory.

 2.   For EAP 6.1.x(or newer).
        Delete the $JBOSS_HOME/modules/system/add-ons/snowdrop directory.

 3.   Delete $JBOSS_HOME/standalone/standalone-snowdrop.xml.

